Name:          libusbmuxd
Version:       1.0.10
Release:       12
Summary:       software protocol library and tools to communicate with iOS devices natively
License:       LGPLv2+ and GPLv2+
URL:           http://www.libimobiledevice.org/
Source0:       http://www.libimobiledevice.org/downloads/%{name}-%{version}.tar.bz2
Patch0:        6000-CVE-2016-5104.patch

BuildRequires: gcc git libplist-devel >= 1.11
Provides:      %{name}-utils
Obsoletes:     %{name}-utils

%description
libusbmuxd provides the library and tools to communicate with Apple's iPod Touch,
iPhone, iPad and Apple TV devices. It does not depend on using any existing proprietary
libraries and does not require jailbreaking. It allows other software to easily access the
device's filesystem, retrieve information about the device and it's internals and so on.

%package devel
Summary: %{name} development package
Requires: %{name}%{?_isa} = %{version}-%{release}
Obsoletes: usbmuxd-devel < 1.0.9

%description devel
provide head files or other files to support for development with %{name}.

%prep
%autosetup -n %{name}-%{version} -S git -p1

%build
%configure --disable-static

sed -i 's|^hardcode_libdir_flag_spec=.*|hardcode_libdir_flag_spec=""|g' libtool
sed -i 's|^runpath_var=LD_RUN_PATH|runpath_var=DIE_RPATH_DIE|g' libtool

%make_build V=1

%install
make install DESTDIR=%{buildroot} INSTALL='install -p'

%check
make check

%ldconfig_scriptlets

%files
%license COPYING
%doc README AUTHORS
%{_libdir}/libusbmuxd.so.4*
%{_bindir}/iproxy
%exclude %{_libdir}/*.la

%files devel
%{_includedir}/usbmuxd*
%{_libdir}/libusbmuxd.so
%{_libdir}/pkgconfig/libusbmuxd.pc

%changelog
* Fri Aug 30 2019 louhongxiang <louhongxiang@huawei.com> - 1.0.10-12
- Type:enhancemnet
- ID:NA
- SUG:NA
- DESC:openEuler Debranding

* Wed Aug 21 2019 Su Weifeng <suweifeng1@huawei.com> - 1.0.10-11
- Type:other
- ID:NA
- SUG:NA
- DESC:Package init and rename patches

